cURL
curl --request PUT \ --url https://statsigapi.net/console/v1/gates/{id}/archive \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "forceArchive": true, "archiveReason": "The gate is no longer needed" } '
{ "message": "Gate updated successfully.", "data": { "id": "a_gate", "name": "A Gate", "description": "description", "idType": "userID", "lastModifierID": "1vaQaBoLlkauH9iiuOSBP2", "lastModifiedTime": 1705691355849, "lastModifierName": "CONSOLE API", "lastModifierEmail": null, "creatorID": "1vaQaBoLlkauH9iiuOSBP2", "createdTime": 1705691325569, "creatorName": "CONSOLE API", "creatorEmail": null, "targetApps": [], "holdoutIDs": [], "tags": [], "isEnabled": true, "status": "Archived", "rules": [], "checksPerHour": 0, "type": "PERMANENT", "typeReason": "NONE", "team": null, "reviewSettings": { "requiredReview": false, "allowedReviewers": [] }, "measureMetricLifts": true, "store0100Exposures": false, "owner": { "ownerID": "user123", "ownerName": "CONSOLE API", "ownerType": "SDK_KEY", "ownerEmail": "" }, "monitoringMetrics": [], "version": 2, "permalink": "https://console.statsig.com/company_id/gates/a_gate" } }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
id
The reason for archiving the gate
"The gate is no longer needed"
Archive gate response
A simple string explaining the result of the operation.
A single result.
Show child attributes
Was this page helpful?